Subject: Re: Proper location of the cygwin.dll WAS: Re: b19 and cygwin.dll
From: [email-masked] (Earnie Boyd)

16 Feb 1998 08:15:32 -0800
Message-ID: <[email-masked]>
Content-Type: text/plain
To: [email-masked]
Cc: [email-masked]

>Date: Mon, 16 Feb 1998 12:59:59 +0200
>From: Andrew Lipnitsky <[email-masked]>
>To: [email-masked]
>Subject: b19 and cygwin.dll
>
>.... continuation of the b19 discussion.....
>
>Hi All!
>I have Source Navigator lite and gnuwin32 b18
>installed on my computer. So cygwin.dll is placed
>in 3 points.
>
>I think that  to place cygwin.dll in somewhere like c:\windows\system32
>would be quite good idea.

You know, I've always hated that idea.  For a tool specific resource to 
go into the operating system shared resources isn't a very good idea at 
all.

>At first, it would result the reduction of disk space.
>At second, it would result the reduction of length PATH variable .
>And at last, it is general(common) practice to place shared resources 
in
>c:\windows\system32 .

Ever tried to remove a tool and not be able to get rid of all of it 
because parts of it is buried in a global path that everybody dumps 
there stuff into?  Ever had a tool trashed because some other tool 
overwrote a dll and now a function no longer exists?

Leave the dll in the bin directory of the tool!!!
>
>Andrew Lipnitsky
>
>-

-        \\||//
---o0O0--Earnie--0O0o----
[email-masked]
------ooo0O--O0ooo-------

______________________________________________________
Get Your Private, Free Email at http://www.hotmail.com
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".